Download it now!
Bug 39904 - Make "Hyperlink" available in the Illustration index
Summary: Make "Hyperlink" available in the Illustration index
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Cédric Bosdonnat
URL:
Whiteboard: target:4.2.0 target:4.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-07 09:59 UTC by Júlio Reis
Modified: 2013-07-18 09:09 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of Writer's "Edit Index/Table" menu for a table of illustrations. There is no "Hyperlink" button. (89.10 KB, image/tiff)
2011-08-07 09:59 UTC, Júlio Reis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Júlio Reis 2011-08-07 09:59:11 UTC
Created attachment 50018 [details]
Screenshot of Writer's "Edit Index/Table" menu for a table of illustrations. There is no "Hyperlink" button.

Keyword: FORMATTING

I'm creating an MSc thesis. I have a table of contents where each entry links to the page number, using the Hyperlink button in the formatting.

I also have a table of illustrations. The Hyperlink button isn't available here, so I can have the illustration and the page number where it occurs, but I cannot have a hyperlink to jump to that page, because the Hyperlink button doesn't exist in the entrey formatting options for a table of illustrations.

Please make that button available. It makes no sense from a user's point of view to make it possible to have a link to a page number in the TOC but not for a table of illustrations.

Unless I'm seeing this the wrong way, and it is possible to add links to a table of illustrations but in some non-obvious way.
Comment 1 Júlio Reis 2011-08-07 10:01:59 UTC
This is my first bug submit. Please let me know if I filled the bug report correctly. I have given my platform information, even if I think this might afferct everyone. Am I right in giving platform info? Then someone will probably check whether this missing feature applies to other platforms?
Comment 2 Björn Michaelsen 2011-12-23 12:26:58 UTC Comment hidden (spam)
Comment 3 Davide Cavestro 2012-05-23 23:51:26 UTC
Still happens on
LibreOffice 3.4.6 
OOO340m1 (Build:602)

This feature would be very useful.
See also https://bugs.freedesktop.org/show_bug.cgi?id=37608
Comment 4 Jean-Baptiste Faure 2012-05-24 22:08:16 UTC
Changed for enhancement and all OS/platform.

Best regards. JBF
Comment 5 Matthias Basler 2012-09-08 19:21:31 UTC
This issue actually extends to any other index as well, such as a keyword index or a custom index and ideally should imho be solved in a general way. 
(BTW: There's a similar enhancement request for AOO: https://issues.apache.org/ooo/show_bug.cgi?id=61089)
Comment 6 Cédric Bosdonnat 2013-07-16 13:51:54 UTC
I'm working on it right now.
Comment 7 Commit Notification 2013-07-17 11:30:08 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c10d784deb86501b5488044a61d9fc2efc6321a

fdo#39904, n#825976: implement hyperlinks for Illustrations index



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Cédric Bosdonnat 2013-07-17 12:54:43 UTC
Fixed in master, and for review in libreoffice-4-1
Comment 9 Commit Notification 2013-07-17 18:36:44 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=afe4760d2d2ee1e1fe5554b6727886de068372a2&h=libreoffice-4-1

fdo#39904, n#825976: implement hyperlinks for Illustrations index


It will be available in LibreOffice 4.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Júlio Reis 2013-07-18 09:09:21 UTC
Thank you :-)